Groovy 1.7.0

## org.codehaus.groovy.binding
Class MutualPropertyBinding

    java.lang.Object
      org.codehaus.groovy.binding.MutualPropertyBinding

All Implemented Interfaces:
  FullBinding

    class MutualPropertyBinding
    extends Object

author:
  Danno Ferrin

version:
  $Revision: 10897 $

since:
  Groovy 1.6

Field Summary
`boolean` | `bound`
`Closure` | `converter`
`FullBinding` | `forwardBinding`
`TriggerBinding` | `forwardTriggerBinding`
`FullBinding` | `reverseBinding`
`Closure` | `reverseConverter`
`TriggerBinding` | `reverseTriggerBinding`
`PropertyBinding` | `sourceBinding`
`PropertyBinding` | `targetBinding`
`Closure` | `triggerFactory`
`Closure` | `validator`

Constructor Summary
`MutualPropertyBinding(TriggerBinding forwardTrigger, PropertyBinding source, PropertyBinding target, Closure triggerFactory)`

Method Summary
`void` | `bind()`
`Closure` | `getConverter()`
`Closure` | `getReverseConverter()`
`SourceBinding` | `getSourceBinding()`
`TargetBinding` | `getTargetBinding()`
`Closure` | `getValidator()`
`void` | `rebind()`
`protected void` | `rebuildBindings()`
`void` | `reverseUpdate()`
`void` | `setConverter(Closure converter)`
`void` | `setReverseConverter(Closure reverseConverter)`
`void` | `setSourceBinding(SourceBinding sourceBinding)`
`void` | `setTargetBinding(TargetBinding targetBinding)`
`void` | `setValidator(Closure validator)`
`void` | `unbind()`
`void` | `update()`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### bound

    boolean bound

### converter

    Closure converter

### forwardBinding

    FullBinding forwardBinding

### forwardTriggerBinding

    TriggerBinding forwardTriggerBinding

### reverseBinding

    FullBinding reverseBinding

### reverseConverter

    Closure reverseConverter

### reverseTriggerBinding

    TriggerBinding reverseTriggerBinding

### sourceBinding

    PropertyBinding sourceBinding

### targetBinding

    PropertyBinding targetBinding

### triggerFactory

    Closure triggerFactory

### validator

    Closure validator

Constructor Detail

### MutualPropertyBinding

    public MutualPropertyBinding(TriggerBinding forwardTrigger, PropertyBinding source, PropertyBinding target, Closure triggerFactory)

Method Detail

### bind

    public void bind()

### getConverter

    public Closure getConverter()

### getReverseConverter

    public Closure getReverseConverter()

### getSourceBinding

    public SourceBinding getSourceBinding()

### getTargetBinding

    public TargetBinding getTargetBinding()

### getValidator

    public Closure getValidator()

### rebind

    public void rebind()

### rebuildBindings

    protected void rebuildBindings()

### reverseUpdate

    public void reverseUpdate()

### setConverter

    public void setConverter(Closure converter)

### setReverseConverter

    public void setReverseConverter(Closure reverseConverter)

### setSourceBinding

    public void setSourceBinding(SourceBinding sourceBinding)

### setTargetBinding

    public void setTargetBinding(TargetBinding targetBinding)

### setValidator

    public void setValidator(Closure validator)

### unbind

    public void unbind()

### update

    public void update()

Copyright © 2003-2009 The Codehaus. All rights reserved.